## openzwave-controlpanel 0.2a%2Bgit20161006.a390f35

=== debian/changelog ===
openzwave-controlpanel (0.2a+git20161006.a390f35-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:53:06 +0100

openzwave-controlpanel (0.2a+git20161006.a390f35-2) unstable; urgency=medium

  * Append CPPFLAGS to CFLAGS to enable FORTIFY hardening.
  * Add debian/watch file in case upstream starts releasing.
  * Override lintian informational tags about spelling.
  * Update debian/copyright URL to use https.
  * Add -Wno-format-security flag. (Closes: #871217)
  * Bump Standards-Version to 4.0.1.

 -- Dara Adib <daradib@ocf.berkeley.edu>  Sat, 19 Aug 2017 18:32:25 -0400

openzwave-controlpanel (0.2a+git20161006.a390f35-1) unstable; urgency=medium

  * Initial release. (Closes: #849010)
    Thanks to Thorsten Alteholz for advising and sponsoring.

 -- Dara Adib <daradib@ocf.berkeley.edu>  Sat, 24 Dec 2016 16:44:32 -0500

## openzwave-controlpanel 0.2a+git20161006.a390f35

=== Makefile ===
#
# Makefile for OpenzWave Control Panel application
# Greg Satz

# GNU make only

.SUFFIXES:	.cpp .o .a .s

CC     := $(CROSS_COMPILE)gcc
CXX    := $(CROSS_COMPILE)g++
LD     := $(CROSS_COMPILE)g++
AR     := $(CROSS_COMPILE)ar rc
RANLIB := $(CROSS_COMPILE)ranlib

DEBUG_CFLAGS    := -Wall -Wno-unknown-pragmas -Wno-inline -Wno-format -g -DDEBUG -ggdb -O0
RELEASE_CFLAGS  := -Wall -Wno-unknown-pragmas -Werror -Wno-format -O3 -DNDEBUG

DEBUG_LDFLAGS	:= -g

# Change for DEBUG or RELEASE
CFLAGS	:= -c $(DEBUG_CFLAGS)
LDFLAGS	:= $(DEBUG_LDFLAGS)

OPENZWAVE := ../open-zwave/
LIBMICROHTTPD := -L/usr/local/lib/ -lmicrohttpd

INCLUDES := -I $(OPENZWAVE)/cpp/src -I $(OPENZWAVE)/cpp/src/command_classes/ \
	-I $(OPENZWAVE)/cpp/src/value_classes/ -I $(OPENZWAVE)/cpp/src/platform/ \
	-I $(OPENZWAVE)/cpp/src/platform/unix -I $(OPENZWAVE)/cpp/tinyxml/ \
	-I /usr/local/include/

# Remove comment below for gnutls support
#GNUTLS := -lgnutls

# for Linux uncomment out next three lines
LIBZWAVE := $(wildcard $(OPENZWAVE)/*.a)
#LIBUSB := -ludev
#LIBS := $(LIBZWAVE) $(GNUTLS) $(LIBMICROHTTPD) -pthread $(LIBUSB) -lresolv

# for Mac OS X comment out above 2 lines and uncomment next 5 lines
#ARCH := -arch i386 -arch x86_64
#CFLAGS += $(ARCH)
#LIBZWAVE := $(wildcard $(OPENZWAVE)/cpp/lib/mac/*.a)
LIBUSB := -framework IOKit -framework CoreFoundation
LIBS := $(LIBZWAVE) $(GNUTLS) $(LIBMICROHTTPD) -pthread $(LIBUSB) $(ARCH) -lresolv

%.o : %.cpp
	$(CXX) $(CFLAGS) $(INCLUDES) -o $@ $<

%.o : %.c
	$(CC) $(CFLAGS) $(INCLUDES) -o $@ $<

all: defs ozwcp


defs:
ifeq ($(LIBZWAVE),)
	@echo Please edit the Makefile to avoid this error message.
	@exit 1
endif

ozwcp.o: ozwcp.h webserver.h $(OPENZWAVE)/cpp/src/Options.h $(OPENZWAVE)/cpp/src/Manager.h \
	$(OPENZWAVE)/cpp/src/Node.h $(OPENZWAVE)/cpp/src/Group.h \
	$(OPENZWAVE)/cpp/src/Notification.h $(OPENZWAVE)/cpp/src/platform/Log.h

webserver.o: webserver.h ozwcp.h $(OPENZWAVE)/cpp/src/Options.h $(OPENZWAVE)/cpp/src/Manager.h \
	$(OPENZWAVE)/cpp/src/Node.h $(OPENZWAVE)/cpp/src/Group.h \
	$(OPENZWAVE)/cpp/src/Notification.h $(OPENZWAVE)/cpp/src/platform/Log.h

ozwcp:	ozwcp.o webserver.o zwavelib.o $(LIBZWAVE)
	$(LD) -o $@ $(LDFLAGS) ozwcp.o webserver.o zwavelib.o $(LIBS)

dist:	ozwcp
	rm -f ozwcp.tar.gz
	tar -c --exclude=".svn" -hvzf ozwcp.tar.gz ozwcp config/ cp.html cp.js openzwavetinyicon.png README

clean:
	rm -f ozwcp *.o

=== debian/control ===
Source: openzwave-controlpanel
Section: non-free/comm
Priority: optional
Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Dara Adib <daradib@ocf.berkeley.edu>
Build-Depends: debhelper (>= 9), libmicrohttpd-dev, libopenzwave1.5-dev
Standards-Version: 4.0.1
Homepage: https://github.com/OpenZWave/open-zwave-control-panel
Vcs-Git: https://anonscm.debian.org/git/debian-iot/openzwave-controlpanel.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/openzwave-controlpanel.git

Package: openzwave-controlpanel
Architecture: any
Depends: libjs-bootstrap, libjs-jquery, ${misc:Depends}, ${shlibs:Depends}
Description: OpenZWave Control Panel
 OpenZWave Control Panel (ozwcp) permits users to query, manage, and
 monitor Z-Wave nodes and networks. It provides a web-based user interface.
 Some example uses include adding/removing nodes, testing commands,
 and viewing/changing node configuration parameters.

## openzwave-controlpanel 1.6~git20200306.4b8a39d

=== Makefile ===
#
# Makefile for OpenzWave Control Panel application
# Greg Satz

# GNU make only

.SUFFIXES:	.cpp .o .a .s

CC     := $(CROSS_COMPILE)gcc
CXX    := $(CROSS_COMPILE)g++
LD     := $(CROSS_COMPILE)g++
AR     := $(CROSS_COMPILE)ar rc
RANLIB := $(CROSS_COMPILE)ranlib

DEBUG_CFLAGS    := -Wall -Wno-unknown-pragmas -Wno-inline -Wno-format -g -DDEBUG -ggdb -O0 -std=c++11
RELEASE_CFLAGS  := -Wall -Wno-unknown-pragmas -Werror -Wno-format -O3 -DNDEBUG -std=c++11

DEBUG_LDFLAGS	:= -g

# Change for DEBUG or RELEASE
CFLAGS	:= -c $(DEBUG_CFLAGS)
LDFLAGS	:= $(DEBUG_LDFLAGS) -v

LIBMICROHTTPD := -L/usr/local/lib/ -lmicrohttpd

# Remove comment below for gnutls support
#GNUTLS := -lgnutls

# Determine the system we are building on
UNAME  := $(shell uname -s)

# Select proper options for macOS vs others
ifeq ($(UNAME),Darwin)
$(info setting variables for macOS)
ARCH := -arch x86_64
CFLAGS += $(ARCH)
LIBZWAVE_PAT := libopenzwave.dylib
LIBUSB := -framework IOKit -framework CoreFoundation
else
$(info setting variables for $(UNAME))
LIBZWAVE_PAT := *.a
LIBUSB := -ludev
endif

# Check if library exists in either parrent directory or ../open-zwave
OPENZWAVE := ..
LIBZWAVE := $(wildcard $(OPENZWAVE)/$(LIBZWAVE_PAT))
ifeq ($(LIBZWAVE),)
  OPENZWAVE := ../open-zwave
  LIBZWAVE := $(wildcard $(OPENZWAVE)/$(LIBZWAVE_PAT))
  ifeq ($(LIBZWAVE),)
    $(error OpenZWave library "$(LIBZWAVE_PAT)" not found in either .. or ../open-zwave folder)
  endif
endif
$(info OpenZWave library found: $(LIBZWAVE))

LIBS := $(LIBZWAVE) $(GNUTLS) $(LIBMICROHTTPD) -pthread $(LIBUSB) $(ARCH) -lresolv

INCLUDES := -I $(OPENZWAVE)/cpp/src -I $(OPENZWAVE)/cpp/src/command_classes/ \
	-I $(OPENZWAVE)/cpp/src/value_classes/ -I $(OPENZWAVE)/cpp/src/platform/ \
	-I $(OPENZWAVE)/cpp/src/platform/unix -I $(OPENZWAVE)/cpp/tinyxml/ \
	-I /usr/local/include/

%.o : %.cpp
	$(CXX) $(CFLAGS) $(INCLUDES) -o $@ $<

%.o : %.c
	$(CC) $(CFLAGS) $(INCLUDES) -o $@ $<

all: ozwcp

ozwcp:	ozwcp.o webserver.o zwavelib.o $(LIBZWAVE)
	$(LD) -o $@ $(LDFLAGS) ozwcp.o webserver.o zwavelib.o $(LIBS)

dist:	ozwcp
	rm -f ozwcp.tar.gz
	tar -c --exclude=".svn" -hvzf ozwcp.tar.gz ozwcp config/ cp.html cp.js openzwavetinyicon.png README

clean:
	rm -f ozwcp *.o

# dummy target, for debugging Makefile
dummy:

=== debian/changelog ===
openzwave-controlpanel (1.6~git20200306.4b8a39d-1build3) noble; urgency=medium

  * Rebuild against new libopenzwave1.6t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Apr 2024 13:59:35 +0200

openzwave-controlpanel (1.6~git20200306.4b8a39d-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:48 +1100

openzwave-controlpanel (1.6~git20200306.4b8a39d-1build1) noble; urgency=high

  * No change rebuild against libmicrohttpd12t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:47:34 +0100

openzwave-controlpanel (1.6~git20200306.4b8a39d-1) unstable; urgency=medium

  * New upstream release.
  * adapt patches
  * debian/control: add dependency libudev-dev

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 07 Jan 2023 16:11:42 +0100

openzwave-controlpanel (0.2a+git20161006.a390f35-3) unstable; urgency=medium

  * debian/control: add myself to Uploaders:
  * debian/control: use dh13
  * debian/control: bump standard to 4.6.1 (no changes)
  * debian/control: update Vcs-*
  * debian/control: add Rules-Requires-Root: no
  * debian/control: add XS-Autobuild: yes
  * debian/watch: update watch file to use git instead of tags

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 28 Dec 2022 11:03:02 +0100

openzwave-controlpanel (0.2a+git20161006.a390f35-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against new openzwave-versioned-dev package (Closes: #983381)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2021 21:10:19 +0100

openzwave-controlpanel (0.2a+git20161006.a390f35-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Nicolas Mora to fix a build failure with recent libmicrohttpd
    Closes: #964512

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Nov 2020 22:01:52 +0100

=== debian/control ===
Source: openzwave-controlpanel
Section: non-free/comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Dara Adib <daradib@ocf.berkeley.edu>,
	Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, libmicrohttpd-dev
	, libopenzwave1.6-dev
	, libudev-dev
Standards-Version: 4.6.1
Homepage: https://github.com/OpenZWave/open-zwave-control-panel
Vcs-Browser: https://salsa.debian.org/debian-iot-team/openzwave-controlpanel
Vcs-Git: https://salsa.debian.org/debian-iot-team/openzwave-controlpanel.git
Rules-Requires-Root: no
XS-Autobuild: yes

Package: openzwave-controlpanel
Architecture: any
Depends: libjs-bootstrap, libjs-jquery, ${misc:Depends}, ${shlibs:Depends}
Description: OpenZWave Control Panel
 OpenZWave Control Panel (ozwcp) permits users to query, manage, and
 monitor Z-Wave nodes and networks. It provides a web-based user interface.
 Some example uses include adding/removing nodes, testing commands,
 and viewing/changing node configuration parameters.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

# Enable hardened build flags and append CPPFLAGS to CFLAGS
# (e.g., -D_FORTIFY_SOURCE=2) to support upstream Makefile.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)

%:
	dh $@
